# GET /get-transactions

> Get historical property transactions

Source: https://uaepropertyapi.com/documentation/endpoints/get-get-transactions

Get historical property transaction data (sales and rentals) for a location. Useful for market analysis and price trends.

- Base URL: `https://uae-real-estate-property.p.rapidapi.com`
- Category: Market Data
- Headers: `x-rapidapi-key: <YOUR_RAPIDAPI_KEY>`, `x-rapidapi-host: uae-real-estate-property.p.rapidapi.com`

## Parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `location_id` | string | yes | Location ID from `/autocomplete-location` endpoint; Example: `50` (Dubai Marina), `41` (Downtown Dubai) |
| `transaction_type` | string | yes | Type of transaction history to view; `sold`: Properties that were sold; `rented`: Properties that were rented |
| `property_type` | string | no | Filter get-transactions by property type; Common: `apartment`, `villa`, `penthouse`; All options: `apartment`, `villa`, `townhouse`, `penthouse`, `compound`, `duplex`, `full-floor`, `half-floor`, `whole-building`, `bulk-rent-unit`, `bungalow`, `hotel-apartment` |
| `bedrooms` | string | no | Filter by number of bedrooms; Use `0` for studio apartments; Examples: `0`, `1`, `2`, `3` |
| `sort` | string | no | Sort get-transactions by; `newest`: Most recent get-transactions first; `oldest`: Oldest get-transactions first; `high_price`: Highest price first; `low_price`: Lowest price first; Default: `newest` |
| `period` | string | no | Time period for get-transactions; `1y`: Last 12 months; `6m`: Last 6 months; `3m`: Last 3 months; `1m`: Last month; Default: `1y` |
| `page` | string | no | Page number for pagination; Default: `1`; Examples: `1`, `2`, `3` |

## Example request

```bash
curl --request GET \
  --url 'https://uae-real-estate-property.p.rapidapi.com/get-transactions?location_id=50&transaction_type=rented' \
  --header 'x-rapidapi-host: uae-real-estate-property.p.rapidapi.com' \
  --header 'x-rapidapi-key: YOUR_API_KEY'
```

```python
import requests

url = "https://uae-real-estate-property.p.rapidapi.com/get-transactions"
querystring = {"location_id": "50", "transaction_type": "rented"}
headers = {
    "x-rapidapi-key": "YOUR_API_KEY",
    "x-rapidapi-host": "uae-real-estate-property.p.rapidapi.com"
}

response = requests.get(url, headers=headers, params=querystring)
print(response.json())
```

## Example response (shortened)

```json
{
  "success": true,
  "data": {
    "data": {
      "attributes": {
        "page": 1,
        "summary": {
          "rent_new_avg_price": 139999.99,
          "rent_renew_avg_price": 153159.93,
          "roi": 5.9,
          "sale_avg_price": null,
          "sale_avg_price_change": null,
          "sale_avg_price_per_sqft": null,
          "sale_avg_price_per_sqft_change": null,
          "volume": -33.11
        },
        "total_items": 9896,
        "total_pages": 34,
        "transactions": [
          {
            "bedrooms": 3,
            "contract_end_date": "2027-07-30",
            "contract_start_date": "2026-07-31",
            "high_level_location_name": "Dubai Marina",
            "id": "09a6b5ae714e453e8de389ba816e5077",
            "location_id": 3073,
            "location_name": "Marina Terrace",
            "location_slug": "dubai-marina-marina-terrace",
            "price": 145000,
            "price_per_sqft": 5.89,
            "property_number": "324",
            "property_size": 2053,
            "property_type": "Apartment",
            "status": "Renewed",
            "transaction_date": "2026-08-04"
          },
          {
            "bedrooms": 2,
            "contract_end_date": "2027-08-14",
            "contract_start_date": "2026-08-15",
            "high_level_location_name": "Dubai Marina",
            "id": "0af48425b5b01cc8ec134bc393cd9576",
            "location_id": 3063,
            "location_name": "Marina Arcade Tower",
            "location_slug": "dubai-marina-marina-arcade-tower",
            "price": 90000,
            "price_per_sqft": 6.17,
            "property_number": "1503",
            "property_size": 1215.67,
            "property_type": "Apartment",
            "status": "New",
            "transaction_date": "2026-08-04"
          }
        ]
      }
    }
  }
}
```

Related endpoints: https://uaepropertyapi.com/documentation/endpoints/get-adrec-transactions.md, https://uaepropertyapi.com/documentation/endpoints/get-transactions-v2.md
